# Yahoo! UI Library

### DataTable Widget 2.6.0

Yahoo! UI Library > datatable > YAHOO.widget.DateCellEditor

Show Private Show Protected Show Deprecated

## Class YAHOO.widget.DateCellEditor - extends YAHOO.widget.BaseCellEditor

The DataCellEditor class provides functionality for inline editing DataTable cell data with a YUI Calendar.

### Constructor

YAHOO.widget.DateCellEditor `( oConfigs )`

Parameters:
  `oConfigs <Object>` (Optional) Object literal of configs.

### Properties

#### calendar `- YAHOO.widget.Calendar`

Reference to Calendar instance.

#### defaultValue `- Date`

Default value.
Default Value: new Date()

#### Properties inherited from YAHOO.widget.BaseCellEditor:

`_elCancelBtn, _elContainer, _elSaveBtn, _elTd, _oColumn, _oDataTable, _oRecord, _sId, _sType, asyncSubmitter, defaultValue, disableBtns, isActive, LABEL_CANCEL, LABEL_SAVE, validator, value`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### focus

`void focus ( )`
Sets focus in DateCellEditor.

Returns: `void`

#### getInputValue

`void getInputValue ( )`
Retrieves input value from DateCellEditor.

Returns: `void`

#### handleDisabledBtns

`void handleDisabledBtns ( )`
After rendering form, if disabledBtns is set to true, then sets up a mechanism to save input without them.

Returns: `void`

#### renderForm

`void renderForm ( )`
Render a Calendar.

Returns: `void`

#### resetForm

`void resetForm ( )`
Resets DateCellEditor UI to initial state.

Returns: `void`

#### Methods inherited from YAHOO.widget.BaseCellEditor:

`_initConfigs, _initEvents, attach, block, cancel, destroy, doAfterRender, focus, getColumn, getContainerEl, getDataTable, getId, getInputValue, getRecord, getTdEl, handleDisabledBtns, move, render, renderBtns, renderForm, resetForm, save, show, toString, unblock`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.BaseCellEditor:

`blurEvent, cancelEvent, invalidDataEvent, keydownEvent, revertEvent, saveEvent, showEvent,`

Copyright © 2008 Yahoo! Inc. All rights reserved.